RequireJS 中文API帮助文档

2015-11-16

这是 RequireJS 2.0 的API,对应的官方文档版本号是2.1.9 目录 用法 ———————————————— §§ 1-1.2 简单的值对 ———————————– § 1.2.1 函数式定义 ———————————– § 1.2.2 存在依赖的函数式定义 ————————– § 1.2.3 将模块定义为一个函数 ————————– § 1.2.4 简单包装CommonJS来定义模块 ——————– § 1.2.5 定义一个命名模块 —————————— § 1.2.6 其他注意事项 ——————————— § 1.2.7 循环依赖 ————————————- § 1.2.8 JSONP服务依赖 ——————————– § 1.2.9 undefine一个模块 —————————– § 1.2.10 加载JavaScript文件 ——————————- § 1.1 定义模块 —————————————– § 1.2 机理 ———————————————— §§ 2 配置项 ———————————————- § 3 进阶应用 ——————————————— §§ 4-4.6 在IE中捕获加载错 —————————– § 4.6.1 require([]) errbacks ———————– § 4.6.2 paths备错配置 ——————————- § 4.6.3 全局的 requirejs.onError ——————– § 4.6.4 从包中加载模块 ———————————— § 4.1 多版本支持 ————————————— § 4.2 在页面加载之后加载代码 —————————- § 4.3 对Web Worker的支持 —————————— § 4.4 对Rhino的支持 ———————————– § 4.5 处理错误 —————————————- § 4.6 加载器插件 ——————————————- §§ 5-5.3 指定文本文件依赖 ———————————- § 5.1 页面加载事件及DOM Ready ————————— § 5.2 define I18N bundle —————————— § 5.3


上一篇:《Ajax 从入门到精通》
下一篇:突破JavaScript编程实例五十讲
相关教程
关注微信

扫码加入 JavaScript 社区

相关文章

首次访问,需要验证
微信扫码,关注即可
(仅需验证一次)

欢迎加入 JavaScript 社区

号内回复关键字:

回到顶部